Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.jmx.builder
[Java] Class JmxBuilderModelMBean

    java.lang.Object
      javax.management.modelmbean.RequiredModelMBean
          groovy.jmx.builder.JmxBuilderModelMBean

All Implemented Interfaces:
  NotificationListener

    public class JmxBuilderModelMBean
    extends RequiredModelMBean

The JmxBuilderModelMBean is the MBean class that proxies exported POGO/POJO inside the MBeanServer. When JmxBuilder exports an object instance, an instance of this class is created and exported inside the MBeanServer.

Authors:
  Vladimir Vivien

Constructor Summary
`JmxBuilderModelMBean(Object objectRef)`
`JmxBuilderModelMBean()`
`JmxBuilderModelMBean(ModelMBeanInfo mbi)`

Method Summary
`void` | `addEventListeners(MBeanServer server, Map descriptor)` Sets up event listeners for this MBean as described in the descriptor.
`void` | `addOperationCallListeners(Map descriptor)` Registers listeners for operation calls (i.e. method, getter, and setter calls) when invoked on this bean from the MBeanServer.
`void` | `handleNotification(Notification note, Object handback)`
`Object` | `invoke(String opName, Object[] opArgs, String[] signature)`
`void` | `setManagedResource(Object obj)`

Methods inherited from class RequiredModelMBean
invoke, load, store, getAttributes, getAttribute, setAttribute, setAttributes, addNotificationListener, removeNotificationListener, removeNotificationListener, getMBeanInfo, setModelMBeanInfo, setManagedResource, sendNotification, sendNotification, getNotificationInfo, addAttributeChangeNotificationListener, removeAttributeChangeNotificationListener, sendAttributeChangeNotification, sendAttributeChangeNotification, preRegister, postRegister, preDeregister, postDeregister, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### JmxBuilderModelMBean

    public JmxBuilderModelMBean(Object objectRef)

### JmxBuilderModelMBean

    public JmxBuilderModelMBean()

### JmxBuilderModelMBean

    public JmxBuilderModelMBean(ModelMBeanInfo mbi)

Method Detail

### addEventListeners

    public void addEventListeners(MBeanServer server, Map descriptor)

  Sets up event listeners for this MBean as described in the descriptor. The descriptor contains a map with layout {item -> Map[event:"...", from:ObjectName, callback:&Closure],...,}
  Parameters:
    `server` - the MBeanServer is to be registered.
    `descriptor` - a map containing info about the event

### addOperationCallListeners

    public void addOperationCallListeners(Map descriptor)

  Registers listeners for operation calls (i.e. method, getter, and setter calls) when invoked on this bean from the MBeanServer. Descriptor should contain a map with layout item -> [Map[methodListener:[target:"", tpe:"", callback:&Closure], ... ,]]
  Parameters:
    `descriptor` - MetaMap descriptor containing description of operation call listeners

### handleNotification

    public void handleNotification(Notification note, Object handback)

### invoke

    @Override
    public Object invoke(String opName, Object[] opArgs, String[] signature)

### setManagedResource

    public void setManagedResource(Object obj)

Copyright © 2003-2010 The Codehaus. All rights reserved.